Bug 820623

Summary: as7: signal a reload-required to the user
Product: [Other] RHQ Project Reporter: Heiko W. Rupp <hrupp>
Component: PluginsAssignee: Heiko W. Rupp <hrupp>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: high Docs Contact:
Priority: high    
Version: 4.4CC: hrupp, lzoubek, mazz
Target Milestone: ---   
Target Release: JON 3.1.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 802810 Environment:
Last Closed: 2013-09-03 11:06:03 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 802810    
Bug Blocks: 707223    

Description Heiko W. Rupp 2012-05-10 10:07:58 EDT
+++ This bug was initially created as a clone of Bug #802810 +++

Description of problem:Currently AS7 retunrs 

"response-headers" => {"process-state" => "reload-required"}

in response to any configuration change that requires server restart. User needs to know this, because otherwise he expects his changes happen immediately.


Version-Release number of selected component (if applicable):


How reproducible:always


Steps to Reproduce:
1.Make a config change that requires server restart using JON - for example change some configuration in 'standart-sockets' socket binding group

  
Actual results: User does not know, whether configuration change you did is immediate or not.


Expected results:User is notified about the fact, that server needs reload.

--- Additional comment from mazz@redhat.com on 2012-03-14 09:42:09 EDT ---

Note: our <resource-configuration> metadata can also indicate a restart is required. So we have the ability for any plugin to indicate a config change requires a restart:

<simple-property ... activationPolicy="immediate">

where activationPolicy's default is "immediate" but which can be "restart" or "shutdown" (meaning, a change to that property will take effect either "immediately" or which requires a restart - I have no idea what it means for a config property to take effect "on shutdown" :-)

--- Additional comment from ccrouch@redhat.com on 2012-03-20 11:50:04 EDT ---

I'm currently of the opinion the infrastructure changes required for this are out of scope for jon3.1, so setting priority to low. We could certainly add activationPolicy="restart" attributes on properties we know will need this support in the future.

In the meantime we should include in the description of such properties a statement saying how a server restart is required in order for a value change to get picked up.

--- Additional comment from hrupp@redhat.com on 2012-04-20 05:53:05 EDT ---

Created attachment 578935 [details]
Possible patch

The attached patch uses the existing, but so far unused notes filed of configuration objects.

If a note is present, it will be shown in the config details view as transient yellow bar.

It would be nice if this could also be done in the history list, as this is where the user is directed after submitting a config change.

--- Additional comment from ccrouch@redhat.com on 2012-05-08 15:55:34 EDT ---

Upping priority given usability enhancement this could provide.

--- Additional comment from hrupp@redhat.com on 2012-05-10 10:07:21 EDT ---

master b303055
Comment 1 Charles Crouch 2012-05-10 10:40:39 EDT
Setting target release appropriately
Comment 2 Heiko W. Rupp 2012-05-10 11:48:08 EDT
release branch f544522
Comment 3 Heiko W. Rupp 2012-05-10 16:11:27 EDT
this was reverted in commit 820623
Comment 4 Heiko W. Rupp 2012-05-15 09:41:46 EDT
release branch 914cc13
Comment 5 Libor Zoubek 2012-05-21 10:09:56 EDT
Version: 3.1.0.ER4 Build Number: 1783b86:2b8d25d
Comment 6 Heiko W. Rupp 2013-09-03 11:06:03 EDT
Bulk closing of old issues in VERIFIED state.